using Avalonia;
using Avalonia.Controls;
using Avalonia.Interactivity;
using Avalonia.Markup.Xaml;
using IposiGospodDemo.ViewModels;

namespace IposiGospodDemo.Views;

public partial class SponsorshipOverviewWindow : Window
{
    public SponsorshipOverviewWindow()
    {
        InitializeComponent();
        DataContext = new SponsorshipOverviewWindowViewModel();
    }
    
    private void GoBack_OnClick(object? sender, RoutedEventArgs e)
    {
        new CoordinatorMenuWindow().Show();
        Close();
    }
    
    private void Logout_OnClick(object? sender, RoutedEventArgs e)
    {
        Session.Logout();
        new MainWindow().Show();
        Close();
    }
}