using Avalonia;
using Avalonia.Controls;
using Avalonia.Interactivity;
using Avalonia.Markup.Xaml;

namespace IposiGospodDemo.Views;

public partial class CoordinatorMenuWindow : Window
{
    public CoordinatorMenuWindow()
    {
        InitializeComponent();
    }
    
    private void GoBack_OnClick(object? sender, RoutedEventArgs e)
    {
        new MainWindow().Show();
        Close();
    }

    private void Logout_OnClick(object? sender, RoutedEventArgs e)
    {
        Session.Logout();
        new MainWindow().Show();
        Close();
    }

    private void SwapToRunnersWindow_OnClick(object? sender, RoutedEventArgs e)
    {
        
    }

    private void SwapToSponsorshipOverviewWindow_OnClick(object? sender, RoutedEventArgs e)
    {
        new SponsorshipOverviewWindow().Show();
        Close();
    }
}