using Avalonia;
using Avalonia.Controls;
using Avalonia.Interactivity;
using Avalonia.Markup.Xaml;
using IposiGospodDemo.ViewModels;

namespace IposiGospodDemo.Views;

public partial class MySponsorshipWindow : Window
{
    public MySponsorshipWindow()
    {
        InitializeComponent();
        DataContext = new MySponsorshipWindowViewModel();
    }
    
    private void GoBack_OnClick(object? sender, RoutedEventArgs e)
    {
        new RunnerMenuWindow().Show();
        Close();
    }
    
    private void Logout_OnClick(object? sender, RoutedEventArgs e)
    {
        Session.Logout();
        new MainWindow().Show();
        Close();
    }
}